'use strict';

var path = require('path');

var c = require('bragi');
// bragi logger
c.options.groupsEnabled = [
  // 'dev:pathGetByCwdAndName',
];

/**
 * pathGetByCwdAndName - generuje sciezkę na podstawie cwd i nazwy pliku
 * @param  {str}    name  nazwa pliku
 * @return {str}          scieżka cwd + nazwa pliku
 */
var pathGetByCwdAndName = function pathGetByCwdAndName(name) {
  var cwdGet = process.cwd();
  c.log('dev:pathGetByCwdAndName:cwd', 'cwd: ', cwdGet);
  c.log('dev:pathGetByCwdAndName:name', 'name: ', name);
  var pathToCfg = path.resolve(cwdGet, name);
  c.log('dev:pathGetByCwdAndName:path', 'return path: ', pathToCfg);
  return pathToCfg;
};

// module API::
module.exports = {
  pathGetByCwdAndName: pathGetByCwdAndName
};