'use strict';

var _require = require('./q-mod-config-readCFG');

var readCfg = _require.readCfg;

var _require2 = require('../dist/q-mod-config-pathGetByCwdAndName');

var pathGetByCwdAndName = _require2.pathGetByCwdAndName;

var c = require('bragi');

// bragi logger
c.options.groupsEnabled = [
  // 'dev:simpleLoadCfg:cfg',
];

/**
 * simpleLoadCfg - podstawowy skrypt do wczytywania pliku JSON
 *                 w cwd o odpowiedniej nazwie.
 *                 Przydatny do wczytywania dotfilsów i configów.
 * @param  {str} name   nazwa pliku
 * @return {obj}        obj z wczytanego pliku JSON
 */
function simpleLoadCfg(name) {
  var CFGpath = pathGetByCwdAndName(name);
  c.log('dev:simpleLoadCfg:path', 'path to cfg: ', CFGpath);
  var CFG = readCfg(CFGpath);
  c.log('dev:simpleLoadCfg:cfg', 'content of cfg: ', CFG);
  return CFG;
}

// module API::
module.exports = {
  simpleLoadCfg: simpleLoadCfg
};